> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Outside Collaborators

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /orgs/{org}/outside_collaborators`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/outside-collaborators#list-outside-collaborators-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List outside collaborators for an organization
* [`PUT /orgs/{org}/outside_collaborators/{username}`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/outside-collaborators#convert-an-organization-member-to-outside-collaborator) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Convert an organization member to outside collaborator
* [`DELETE /orgs/{org}/outside_collaborators/{username}`](https://docs.github.com/enterprise-cloud@latest/rest/orgs/outside-collaborators#remove-outside-collaborator-from-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Remove outside collaborator from an organization
